<?php
namespace Teknisa\PED\Modules\Expedicao\Factories;


class exp01100ParametrosExpedicaoFactory {
    
    protected $connection;
    protected $entityManager;

    public function __construct($entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function deleteLogExpedicao($cdfilial) {
        // var_dump('entrou repositorio');die;
        $sql = "DELETE FROM AUTGRUPOP
            WHERE CDFILIAL = :CDFILIAL
              AND IDAUTGRUPOP IN ('LOGS', 'LOGC')";
              
        $params = array("CDFILIAL"=>$cdfilial);
        
        $query = $this->connection->prepare($sql);
        $query->execute($params);
    }
    
}