<?php
namespace Teknisa\PED\Modules\Expedicao\Services;

use Teknisa\PED\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\ParameterBag;
use \Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use \Doctrine\ORM\EntityManager;
use \Teknisa\Libs\Util\DateUtil;

class Exp01800CancelamentoService {

    protected $dataSourceName = 'cancelamento';
    protected $newCode;
    protected $environment;
    protected $entityManager;

    public function __construct($crudService, $newCode, $environment, $entityManager, $cancelamentoFactory) {
        $this->crudService = $crudService;
        $this->newCode = $newCode;
        $this->environment = $environment;
        $this->entityManager = $entityManager;
        $this->cancelamentoFactory = $cancelamentoFactory;

    }

    public function cancelarNota($rows) {
        try{
            foreach($rows as $row){
                $this->cancelamentoFactory->cancelarNota($row);
            }   
        }catch (\Exception $e) {
            throw new \Exception($e);            
        }
    }
    
    public function getErroCancelamento($row){
        try{
           
                $this->cancelamentoFactory->getErroCancelamento($row);  
           
        }catch (\Exception $e) {
            throw new \Exception($e);            
        }
    }

}